Package com.enonic.xp.schema.relationship

## Class RelationshipType.Builder

- java.lang.Object
- - com.enonic.xp.schema.BaseSchema.Builder<RelationshipType.Builder,​RelationshipTypeName>
  - - com.enonic.xp.schema.relationship.RelationshipType.Builder

- Enclosing class:
    RelationshipType

      public static class RelationshipType.Builder
      extends BaseSchema.Builder<RelationshipType.Builder,​RelationshipTypeName>

- - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.schema.BaseSchema.Builder

      `name`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RelationshipType.Builder` | `addAllowedFromType​(ContentTypeName contentTypeName)` |
    `RelationshipType.Builder` | `addAllowedFromTypes​(Iterable<ContentTypeName> contentTypeNames)` |
    `RelationshipType.Builder` | `addAllowedToType​(ContentTypeName contentTypeName)` |
    `RelationshipType.Builder` | `addAllowedToTypes​(Iterable<ContentTypeName> contentTypeNames)` |
    `RelationshipType` | `build()` |
    `RelationshipType.Builder` | `fromSemantic​(String value)` |
    `RelationshipType.Builder` | `name​(String value)` |
    `RelationshipType.Builder` | `setAllowedFromTypes​(Iterable<ContentTypeName> contentTypeNames)` |
    `RelationshipType.Builder` | `setAllowedToTypes​(Iterable<ContentTypeName> contentTypeNames)` |
    `RelationshipType.Builder` | `toSemantic​(String value)` |

    - ### Methods inherited from class com.enonic.xp.schema.BaseSchema.Builder

      `createdTime, creator, description, descriptionI18nKey, displayName, displayNameI18nKey, icon, modifiedTime, modifier, name`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### name

          public RelationshipType.Builder name​(String value)

    - #### fromSemantic

          public RelationshipType.Builder fromSemantic​(String value)

    - #### toSemantic

          public RelationshipType.Builder toSemantic​(String value)

    - #### addAllowedFromType

          public RelationshipType.Builder addAllowedFromType​(ContentTypeName contentTypeName)

    - #### addAllowedFromTypes

          public RelationshipType.Builder addAllowedFromTypes​(Iterable<ContentTypeName> contentTypeNames)

    - #### setAllowedFromTypes

          public RelationshipType.Builder setAllowedFromTypes​(Iterable<ContentTypeName> contentTypeNames)

    - #### addAllowedToType

          public RelationshipType.Builder addAllowedToType​(ContentTypeName contentTypeName)

    - #### addAllowedToTypes

          public RelationshipType.Builder addAllowedToTypes​(Iterable<ContentTypeName> contentTypeNames)

    - #### setAllowedToTypes

          public RelationshipType.Builder setAllowedToTypes​(Iterable<ContentTypeName> contentTypeNames)

    - #### build

          public RelationshipType build()